Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SimplePofPath Class Reference

`#include <coherence/io/pof/reflect/SimplePofPath.hpp>`

Inherits AbstractPofPath.

List of all members.

## Detailed Description

A static PofNavigator implementation which uses an array of integer indices to navigate the PofValue hierarchy.

Author:
  as/gm 2009.04.01

Since:
  Coherence 3.5

## Public Types
typedef spec::Handle | Handle
| SimplePofPath Handle definition.
typedef spec::View | View
| SimplePofPath View definition.
typedef spec::Holder | Holder
| SimplePofPath Holder definition.
## Public Member Functions
virtual void | readExternal (PofReader::Handle hIn)
  | Restore the contents of a user type instance by reading its state using the specified PofReader. Parameters:
  | hIn | the PofReader from which to read the object's state
virtual void | writeExternal (PofWriter::Handle hOut) const
  | Save the contents of a POF user type instance by writing its state using the specified PofWriter. Parameters:
  | hOut | the PofWriter to which to write the object's state
virtual bool | equals (Object::View v) const
| Compare the SimplePofPath with another object to determine equality.
virtual size32_t | hashCode () const
| Determine a hash value for the SimplePofPath object according to the general Object#hashCode() contract.
virtual void | toStream (std::ostream &out) const
| Return a human-readable description for this SimplePofPath.
## Protected Member Functions
| SimplePofPath ()
| Default constructor (necessary for the PortableObject interface).
| SimplePofPath (int32_t nIndex)
| Construct a SimplePofPath using a single index as a path.
| SimplePofPath (Array< int32_t >::View vanIndices)
| Construct a SimplePofPath using an array of indices as a path.
virtual Array < int32_t >::View | getPathElements () const
| Return a collection of path elements. Returns: a collection of path elements

## Constructor & Destructor Documentation

SimplePofPath | ( | int32_t | nIndex | ) | `[protected]`

Construct a SimplePofPath using a single index as a path.

Parameters:

  | nIndex | an index

SimplePofPath | ( | Array< int32_t >::View | vanIndices | ) | `[protected]`

Construct a SimplePofPath using an array of indices as a path.

Parameters:

  | vanIndices | an array of indices

## Member Function Documentation

virtual bool equals | ( | Object::View | v | ) | const `[virtual]`

Compare the SimplePofPath with another object to determine equality.

Two SimplePofPath objects are considered equal iff their indices are equal.

Parameters:

  | v | the object to compare against

Returns:
  true iff this SimplePofPath and the passed object are equivalent.

virtual size32_t hashCode | ( |  | ) | const `[virtual]`

Determine a hash value for the SimplePofPath object according to the general Object#hashCode() contract.

Returns:
  an integer hash value for this SimplePofPath object

Reimplemented from Object.

virtual void toStream | ( | std::ostream & | out | ) | const `[virtual]`

Return a human-readable description for this SimplePofPath.

Parameters:

  | out | the stream to write to

Returns:
  a String description of the SimplePofPath

Reimplemented from Object.

The documentation for this class was generated from the following file:

- coherence/io/pof/reflect/SimplePofPath.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.